dubbo:
  application:
    name: account-service
    qos-enable: true
    qos-port: 16101
    qos-accept-foreign-ip: false
  scan:
    base-packages: cn.reghao.tnb.account.app.rpc
  protocol:
    name: dubbo
    port: 6101
server:
  port: 6001
  tomcat:
    max-http-form-post-size: 4MB
  servlet:
    session:
      cookie:
        secure: true
        http-only: true
        # org.springframework.boot.web.embedded.tomcat.TomcatServletWebServerFactory.getSessionTimeoutInMinutes 获取超时时间
        # 两个请求间隔的最大时间, 超过此时间则会话过期
      timeout: 10m
spring:
  application:
    name: account-service
  profiles:
    active: @profile.active@
  mvc:
    pathmatch:
      matching-strategy: ant_path_matcher
  servlet:
    multipart:
      max-request-size: 5MB
      max-file-size: 5MB
  session:
    store-type: redis
    redis:
      namespace: tnb:auth:session
  datasource:
    driver-class-name: com.mysql.cj.jdbc.Driver
    type: com.zaxxer.hikari.HikariDataSource
    hikari:
      minimum-idle: 5
      maximum-pool-size: 10
      auto-commit: true
      idle-timeout: 30000
      pool-name: EvaluationHikariCP
      max-lifetime: 1800000
      connection-timeout: 30000
      connection-test-query: SELECT 1
  freemarker:
    template-loader-path:
      - classpath:/templates
    cache: false
    check-template-location: true
    request-context-attribute: request
    charset: utf-8
    suffix: .ftl
    settings:
      classic_compatible: true #处理空值
      template_exception_handler: rethrow
      template_update_delay: 0
      datetime_format: yyyy-MM-dd HH:mm
      number_format: 0.##
mybatis:
  configuration:
    map-underscore-to-camel-case: true
#    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
  mapper-locations: classpath*:mapper/**/**.xml
  type-aliases-package: cn.reghao.tnb.account.app.model.po
eureka:
  instance:
    prefer-ip-address: true
  client:
    register-with-eureka: true
    fetch-registry: true